Class | SOAP::MIMEMessage::Header
In: | soap/mimemessage.rb
Parent: | Object

### Methods

[] []= new to_s

### Attributes

key | [RW] |
root | [RW] |
str | [RW] |

### Public Class methods

new()

[Source]

    # File soap/mimemessage.rb, line 28
        def initialize
          @attrs = {}
        end

### Public Instance methods

[](key)

[Source]

    # File soap/mimemessage.rb, line 32
        def [](key)
          @attrs[key]
        end

[]=(key, value)

[Source]

    # File soap/mimemessage.rb, line 36
        def []=(key, value)
          @attrs[key] = value
        end

to_s()

[Source]

    # File soap/mimemessage.rb, line 40
        def to_s
          @key + ": " + @str
        end

[Validate]